Skip to content

Retrieve an Enrollment

Request

Identity Engine
OAuth 2.0 scope:
  • okta.myAccount.authenticators.read

Retrieves an enrollment by enrollmentId

Path
authenticatorIdstringrequired

id of the authenticator

Example:aut9gnvcjUHIWb37J0g4
enrollmentIdstringrequired

id of the authenticator enrollment

Example:ufs2bysphxKODSZKWVCT
Headers
Acceptstringrequired

Specifies the API version. Current version: 1.0.0

Example:application/json; okta-version=1.0.0
GET
/idp/myaccount/authenticators/{authenticatorId}/enrollments/{enrollmentId}
curl -i -X GET \
  https://okta-subdomain.pixtulate.com/idp/myaccount/authenticators/aut9gnvcjUHIWb37J0g4/enrollments/ufs2bysphxKODSZKWVCT \
  -H 'Accept: application/json; okta-version=1.0.0'

Responses

Enrollment

Bodyapplication/json
canChangePasswordbooleanread-only

Whether the user has permission to perform a password change operation as determined by their password policy

canResetPasswordboolean

Whether the user has permission to perform a password reset operation, as determined by their password policy and password source. If canResetPassword is false, the modify object isn't returned in the _links object.

canUnenrollbooleanread-only

Whether the authenticator can be unenrolled

createdstringread-only

The date when the authenticator enrollment was created

idstringread-only

The unique identifier of the authenticator enrollment

lastChallengedstringread-only

The date when the authenticator enrollment was last challenged

namestring

The display name of the authenticator enrollment

nicknamestring

A customizable name for the authenticator enrollment

profileobjectread-only

The fields specific to an authenticator enrollment that may not be common across all authenticators

canResetbooleanread-onlydeprecated

Whether the authenticator enrollment can be reset

Response
{ "id": "pasfs1tgsKqEha3JwZKq", "name": "Okta password", "created": "2023-05-01T14:24:54.000Z", "lastChallenged": "2023-06-01T13:44:54.000Z", "canReset": true, "canChangePassword": true, "canResetPassword": true, "canUnenroll": false, "_links": { "self": {}, "authenticator": {}, "modify": {} } }